import 'package:flutter/widgets.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:pharmacy_mobile/blocs/caches/stocklist/stocklist_cache_bloc.dart';
import 'package:pharmacy_mobile/blocs/caches/stocklist/stocklist_cache_event.dart';

Future<bool> cacheSetStockList(BuildContext context, List value) async {
  try {
    final stockListCache = context.read<StockListBloc>();
    stockListCache.add(StockListCacheSet(value));
    return true;
  } catch (e) {
    return false;
  }
}
